Index: trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1520)
+++ trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1521)
@@ -13,5 +13,5 @@
       use watercommon_h
       use datafile_mod, only: datadir
-      use ioipsl_getincom_p
+      use ioipsl_getin_p_mod, only: getin_p
       use gases_h
       use radii_mod, only : su_aer_radii,co2_reffrad,h2o_reffrad,dust_reffrad,h2so4_reffrad,back2lay_reffrad
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_grid_phy_lmdz.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_grid_phy_lmdz.F90	(revision 1520)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dynlonlat_phylonlat/mod_grid_phy_lmdz.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_mpi_data.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_mpi_data.F90	(revision 1520)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dynlonlat_phylonlat/mod_phys_lmdz_mpi_data.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_mpi_transfert.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_mpi_transfert.F90	(revision 1520)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dynlonlat_phylonlat/mod_phys_lmdz_mpi_transfert.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_omp_data.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_omp_data.F90	(revision 1520)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dynlonlat_phylonlat/mod_phys_lmdz_omp_data.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_omp_transfert.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_omp_transfert.F90	(revision 1520)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dynlonlat_phylonlat/mod_phys_lmdz_omp_transfert.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_para.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_para.F90	(revision 1520)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dynlonlat_phylonlat/mod_phys_lmdz_para.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_transfert_para.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_phys_lmdz_transfert_para.F90	(revision 1520)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dynlonlat_phylonlat/mod_phys_lmdz_transfert_para.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1520)
+++ trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1521)
@@ -6,6 +6,5 @@
      pctsrf_sic,sea_ice)
 
-!  use ioipsl_getincom 
-  use ioipsl_getincom_p
+  use ioipsl_getin_p_mod, only: getin_p
   use watercommon_h, only: T_h2O_ice_liq, RLFTT, rhowater, mx_eau_sol
   USE surfdat_h
Index: trunk/LMDZ.GENERIC/libf/phystd/inifis.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1520)
+++ trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1521)
@@ -52,5 +52,5 @@
 !   -------------
       use datafile_mod, only: datadir
-      USE ioipsl_getincom_p, only: getin_p
+      use ioipsl_getin_p_mod, only: getin_p
       IMPLICIT NONE
 
Index: trunk/LMDZ.GENERIC/libf/phystd/largescale.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/largescale.F90	(revision 1520)
+++ trunk/LMDZ.GENERIC/libf/phystd/largescale.F90	(revision 1521)
@@ -3,7 +3,5 @@
 
 
-!     to use  'getin'
-!      use ioipsl_getincom 
-      use ioipsl_getincom_p
+      use ioipsl_getin_p_mod, only: getin_p
       use watercommon_h, only : RLVTT, RCPD, RVTMP2,  &
           T_h2O_ice_clouds,T_h2O_ice_liq,Psat_waterDP,Lcpdqsat_waterDP
Index: trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1520)
+++ trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1521)
@@ -36,7 +36,5 @@
 !
 !==================================================================
- ! to use  'getin'
-!      use ioipsl_getincom 
-      use ioipsl_getincom_p
+      use ioipsl_getin_p_mod, only: getin_p
       use radinc_h, only: naerkind
       use aerosol_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/rain.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1520)
+++ trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1521)
@@ -2,7 +2,5 @@
 
 
-! to use  'getin'
-!  use ioipsl_getincom 
-  use ioipsl_getincom_p
+  use ioipsl_getin_p_mod, only: getin_p
   use watercommon_h, only: T_h2O_ice_liq,T_h2O_ice_clouds, RLVTT, RCPD, RCPV, RV, RVTMP2,Psat_water,Tsat_water,rhowater
   use radii_mod, only: h2o_cloudrad
Index: trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 1520)
+++ trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 1521)
@@ -28,6 +28,5 @@
       use comcstfi_mod, only: mugaz
       use gases_h
-!      use ioipsl_getincom
-      use ioipsl_getincom_p 
+      use ioipsl_getin_p_mod, only: getin_p
       use callkeys_mod, only: varactive,varfixed,graybody,callgasvis,&
 		continuum,H2Ocont_simple