Index: /trunk/DOC/chantiers/commit_importants.log
===================================================================
--- /trunk/DOC/chantiers/commit_importants.log	(revision 1544)
+++ /trunk/DOC/chantiers/commit_importants.log	(revision 1545)
@@ -1718,2 +1718,14 @@
 - removed "init_phys_lmdz.F90", "comgeomphy.F90"; adapted routines to use
   geometry_mod (longitude, latitude, cell_area, etc.)
+
+**********************
+**** commit_v1545 ****
+**********************
+Ehouarn: Adaptation wrt previous changes for Titan and Venus where
+longitude and latitude arrays (in phycommon/geometry_mod) were overwritten
+with values from startphy.nc files, where values are given in degrees.
+For the sake of homegeneity with other physics package, revert to "default"
+behaviour: longitude/latitude are in radians and longitude_deg/latitude_deg
+are in degrees.
+Also added checking in phyetat0 that the longitude/latitude read in the
+restartphy.nc files match the ones provided by the dynamics.
Index: /trunk/LMDZ.TITAN/libf/phytitan/iophy.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/iophy.F90	(revision 1544)
+++ /trunk/LMDZ.TITAN/libf/phytitan/iophy.F90	(revision 1545)
@@ -29,6 +29,6 @@
   USE ioipsl
   implicit none
-    real,dimension(klon),intent(in) :: rlon
-    real,dimension(klon),intent(in) :: rlat
+    real,dimension(klon),intent(in) :: rlon ! longitudes, in degrees
+    real,dimension(klon),intent(in) :: rlat ! latitudes, in degrees
 
     REAL,dimension(klon_glo)        :: rlat_glo
Index: /trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1544)
+++ /trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1545)
@@ -65,5 +65,5 @@
          use dimphy
 c         use radcommon_h, only : volume,rayon,vrat,drayon,dvolume
-         USE geometry_mod,  only: latitude
+         USE geometry_mod,  only: latitude ! in radians
 
          IMPLICIT NONE
Index: /trunk/LMDZ.TITAN/libf/phytitan/pg2.old
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/pg2.old	(revision 1544)
+++ /trunk/LMDZ.TITAN/libf/phytitan/pg2.old	(revision 1545)
@@ -42,5 +42,5 @@
 
       use dimphy
-      USE geometry_mod, ONLY: latitude
+      USE geometry_mod, ONLY: latitude_deg
 #include "dimensions.h"
 #include "microtab.h"
@@ -180,5 +180,5 @@
       lati(1)     = 0.5*RPI
       DO ig=2,ngrid-1
-        lati(ig)  = latitude(2+(ig-2)*iim)*RPI/180.
+        lati(ig)  = latitude_deg(2+(ig-2)*iim)*RPI/180.
       ENDDO
       lati(ngrid) = -0.5*RPI
@@ -197,9 +197,9 @@
 c     print*,"ENTREE PG2 PREMIER APPEL"
 c     print*,airetot,' airetot?= ',4.*RPI*RA*RA
-c     print*,1,latitude(1),aire(1),aire(1)/airetot,' aires'
+c     print*,1,latitude_deg(1),aire(1),aire(1)/airetot,' aires'
 c     DO ig=2,ngrid-1
-c     print*,ig,latitude(2+(ig-2)*iim),aire(ig),aire(ig)/airetot,' aires'
+c     print*,ig,latitude_deg(2+(ig-2)*iim),aire(ig),aire(ig)/airetot,' aires'
 c     ENDDO
-c     print*,ngrid,latitude(klon),aire(ngrid),aire(ngrid)/airetot,' aires'
+c     print*,ngrid,latitude_deg(klon),aire(ngrid),aire(ngrid)/airetot,' aires'
 c     stop
       
Index: /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1544)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1545)
@@ -13,5 +13,5 @@
       USE iostart
       USE infotrac
-      USE geometry_mod,  only: latitude,longitude
+      USE geometry_mod,  only: latitude_deg,longitude_deg
       USE time_phylmdz_mod, only: itau_phy, raz_date
 
@@ -33,4 +33,5 @@
 integer :: i,isoil
 CHARACTER(len=2) :: str2
+REAL :: lon_startphy(klon), lat_startphy(klon)
 
 ! les variables globales lues dans le fichier restart
@@ -75,17 +76,33 @@
       ENDIF
 
-! read latitudes
-call get_field("latitude",latitude,found)
-      IF (.not.found) THEN
-         PRINT*, 'phyetat0: Le champ <latitude> est absent'
-         CALL abort
-      ENDIF
-
-! read longitudes
-call get_field("longitude",longitude,found)
-      IF (.not.found) THEN
-         PRINT*, 'phyetat0: Le champ <longitude> est absent'
-         CALL abort
-      ENDIF
+! read latitudes and make a sanity check (because already known from dyn)
+call get_field("latitude",lat_startphy,found)
+IF (.not.found) THEN
+  PRINT*, 'phyetat0: Le champ <latitude> est absent'
+  CALL abort
+ENDIF
+DO i=1,klon
+  IF (ABS(lat_startphy(i)-latitude_deg(i))>=0.01) THEN
+    WRITE(*,*) "phyetat0: Warning! Latitude discrepancy wrt startphy file:",&
+               " i=",i," lat_startphy(i)=",lat_startphy(i),&
+               " latitude_deg(i)=",latitude_deg(i)
+    CALL abort
+  ENDIF
+ENDDO
+
+! read longitudes and make a sanity check (because already known from dyn)
+call get_field("longitude",lon_startphy,found)
+IF (.not.found) THEN
+  PRINT*, 'phyetat0: Le champ <longitude> est absent'
+  CALL abort
+ENDIF
+DO i=1,klon
+  IF (ABS(lon_startphy(i)-longitude_deg(i))>=0.01) THEN
+    WRITE(*,*) "phyetat0: Warning! Longitude discrepancy wrt startphy file:",&
+               " i=",i," lon_startphy(i)=",lon_startphy(i),&
+               " longitude_deg(i)=",longitude_deg(i)
+    CALL abort
+  ENDIF
+ENDDO
 
 ! read in other variables here ...
@@ -319,6 +336,6 @@
       resch4(1) = 0.    ! pole nord = 1 point
       DO i=2,klon
-          if ((latitude(i).ge.75..and.latitude(i).le.85.).or.  &
-              (latitude(i).ge.-85.and.latitude(i).le.-75.)) then
+          if ((latitude_deg(i).ge.75..and.latitude_deg(i).le.85.).or.  &
+              (latitude_deg(i).ge.-85.and.latitude_deg(i).le.-75.)) then
             resch4(i) = 2.
           else
@@ -352,5 +369,5 @@
 
 ! do some more initializations
-call init_iophy_new(latitude,longitude)
+call init_iophy_new(latitude_deg,longitude_deg)
 
 end subroutine phyetat0
Index: /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1544)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1545)
@@ -12,5 +12,5 @@
                           put_var,put_field
       USE infotrac
-      USE geometry_mod,  only: longitude, latitude
+      USE geometry_mod,  only: longitude_deg, latitude_deg
       USE time_phylmdz_mod, only: day_end, annee_ref, itau_phy, raz_date
 
@@ -64,8 +64,8 @@
 
       CALL put_field("longitude", &
-                     "Longitudes de la grille physique",longitude)
+                     "Longitudes de la grille physique",longitude_deg)
      
       CALL put_field("latitude", &
-                     "Latitudes de la grille physique",latitude)
+                     "Latitudes de la grille physique",latitude_deg)
 
 ! variables
Index: /trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1544)
+++ /trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1545)
@@ -58,5 +58,7 @@
       USE infotrac
       use dimphy
-      USE geometry_mod, ONLY: longitude, latitude, cell_area, dx, dy
+      USE geometry_mod, ONLY: longitude, latitude, ! in radians
+     &                        longitude_deg, latitude_deg, ! in degrees
+     &                        cell_area, dx, dy
       use cpdet_mod, only: cpdet, t2tpot
       USE mod_phys_lmdz_para, only : is_parallel,jj_nb
@@ -861,8 +863,9 @@
 
 c dans zenang, Ls en degres ; dans mucorr, Ls en radians
-      call mucorr(klon,zls,latitude,rmu0bar,fractbar)
+      call mucorr(klon,zls,latitude_deg,rmu0bar,fractbar)
       IF (cycle_diurne) THEN
         zdtime=dtime*REAL(radpas) ! pas de temps du rayonnement (s)
-        CALL zenang(zlsdeg,gmtime,zdtime,latitude,longitude,rmu0,fract)
+        CALL zenang(zlsdeg,gmtime,zdtime,latitude_deg,longitude_deg,
+     &              rmu0,fract)
       ELSE
         rmu0  = rmu0bar
@@ -917,5 +920,5 @@
      $            paprs,pplay,ppk,radsol,falbe,
      e            solsw, sollw, sollwdown, fder,
-     e            longitude, latitude, dx, dy,   
+     e            longitude_deg, latitude_deg, dx, dy,   
      e            debut, lafin,
      s            d_t_vdf,d_u_vdf,d_v_vdf,d_ts,
@@ -1368,5 +1371,5 @@
 c A ADAPTER POUR VENUS ET TITAN!!!
 c            CALL lift_noro(klon,klev,dtime,paprs,pplay,
-c     e                   latitude,zmea,zstd,zpic,zgam,zthe,zpic,zval,
+c     e                   latitude_deg,zmea,zstd,zpic,zgam,zthe,zpic,zval,
 c     e                   igwd,idx,itest,
 c     e                   t_seri, u_seri, v_seri,
@@ -1425,5 +1428,6 @@
 c====================================================================
       if (ballons.eq.1) then
-         CALL ballon(30,pdtphys,rjourvrai,gmtime,latitude,longitude,
+         CALL ballon(30,pdtphys,rjourvrai,gmtime,
+     &               latitude_deg,longitude_deg,
 c    C               t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
      C               t,pplay,u,v,zphi)   ! alt above planet average radius
@@ -1459,5 +1463,5 @@
       CALL aaam_bud (27,klon,klev,rjourvrai,gmtime,
      C               ra,rg,romega,
-     C               latitude,longitude,pphis,
+     C               latitude_deg,longitude_deg,pphis,
      C               zustrdr,zustrli,zustrcl,
      C               zvstrdr,zvstrli,zvstrcl,
@@ -1545,6 +1549,6 @@
 c     DO k = 1, klev
 c     DO i = 1, klon
-c       mang(i,k) = RA*cos(latitude(i)*RPI/180.)
-c    .     *(u_seri(i,k)+RA*cos(latitude(i)*RPI/180.)*ROMEGA)
+c       mang(i,k) = RA*cos(latitude(i))
+c    .     *(u_seri(i,k)+RA*cos(latitude(i))*ROMEGA)
 c    .     *cell_area(i)*(paprs(i,k)-paprs(i,k+1))/RG
 c       mangtot=mangtot+mang(i,k)
Index: /trunk/LMDZ.TITAN/libf/phytitan/radtitan.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 1544)
+++ /trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 1545)
@@ -33,5 +33,5 @@
       USE infotrac
       use dimphy
-      USE geometry_mod, ONLY: latitude
+      USE geometry_mod, ONLY: latitude ! in radians
       USE optcld, only : iniqcld
       use moyzon_mod, only:plevmoy
@@ -214,5 +214,5 @@
           somcoslat=0.
           do j=1,klon
-	    coslat(j) = cos(latitude(j)*RPI/180.)
+	    coslat(j) = cos(latitude(j))
             somcoslat=somcoslat+coslat(j)
           enddo
Index: /trunk/LMDZ.VENUS/libf/phyvenus/iophy.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/iophy.F90	(revision 1544)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/iophy.F90	(revision 1545)
@@ -29,6 +29,6 @@
   USE ioipsl
   implicit none
-    real,dimension(klon),intent(in) :: rlon
-    real,dimension(klon),intent(in) :: rlat
+    real,dimension(klon),intent(in) :: rlon ! longitudes, in degrees
+    real,dimension(klon),intent(in) :: rlat ! latitudes, in degrees
 
     REAL,dimension(klon_glo)        :: rlat_glo
Index: /trunk/LMDZ.VENUS/libf/phyvenus/nirco2abs.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/nirco2abs.F	(revision 1544)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/nirco2abs.F	(revision 1545)
@@ -3,5 +3,5 @@
 
        use dimphy
-       use geometry_mod, only: longitude, latitude
+       use geometry_mod, only: longitude_deg, latitude_deg
        use chemparam_mod, only: i_co2, i_o
 c       use compo_hedin83_mod2 
@@ -236,6 +236,7 @@
             zday_int = (n-1)/float(nstep)
 
-            CALL zenang(0.,zday_int,RDAY/nstep,latitude,longitude,
-     s             mu0_int,fract_int)
+            CALL zenang(0.,zday_int,RDAY/nstep,
+     &                  latitude_deg,longitude_deg,
+     &                  mu0_int,fract_int)
 
             do ig=1,nlon
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1544)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1545)
@@ -13,5 +13,5 @@
       USE iostart
       USE infotrac
-      use geometry_mod, only: longitude, latitude
+      use geometry_mod, only: longitude_deg, latitude_deg
       USE time_phylmdz_mod, only: itau_phy, raz_date
 
@@ -33,4 +33,5 @@
 integer :: i,isoil
 CHARACTER(len=2) :: str2
+REAL :: lon_startphy(klon), lat_startphy(klon)
 
 ! les variables globales lues dans le fichier restart
@@ -64,17 +65,33 @@
       ENDIF
 
-! read latitudes
-call get_field("latitude",latitude,found)
-      IF (.not.found) THEN
-         PRINT*, 'phyetat0: Le champ <latitude> est absent'
-         CALL abort
-      ENDIF
-
-! read longitudes
-call get_field("longitude",longitude,found)
-      IF (.not.found) THEN
-         PRINT*, 'phyetat0: Le champ <longitude> est absent'
-         CALL abort
-      ENDIF
+! read latitudes and make a sanity check (because already known from dyn)
+call get_field("latitude",lat_startphy,found)
+IF (.not.found) THEN
+  PRINT*, 'phyetat0: Le champ <latitude> est absent'
+  CALL abort
+ENDIF
+DO i=1,klon
+  IF (ABS(lat_startphy(i)-latitude_deg(i))>=0.01) THEN
+    WRITE(*,*) "phyetat0: Warning! Latitude discrepancy wrt startphy file:",&
+               " i=",i," lat_startphy(i)=",lat_startphy(i),&
+               " latitude_deg(i)=",latitude_deg(i)
+    CALL abort
+  ENDIF
+ENDDO
+
+! read longitudes and make a sanity check (because already known from dyn)
+call get_field("longitude",lon_startphy,found)
+IF (.not.found) THEN
+  PRINT*, 'phyetat0: Le champ <longitude> est absent'
+  CALL abort
+ENDIF
+DO i=1,klon
+  IF (ABS(lon_startphy(i)-longitude_deg(i))>=0.01) THEN
+    WRITE(*,*) "phyetat0: Warning! Longitude discrepancy wrt startphy file:",&
+               " i=",i," lon_startphy(i)=",lon_startphy(i),&
+               " longitude_deg(i)=",longitude_deg(i)
+    CALL abort
+  ENDIF
+ENDDO
 
 ! read in other variables here ...
@@ -344,5 +361,5 @@
 
 ! do some more initializations
-call init_iophy_new(latitude,longitude)
+call init_iophy_new(latitude_deg,longitude_deg)
 
 end subroutine phyetat0
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1544)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1545)
@@ -12,5 +12,5 @@
                           put_var,put_field
       USE infotrac
-      use geometry_mod, only: longitude, latitude
+      use geometry_mod, only: longitude_deg, latitude_deg
       USE time_phylmdz_mod, only: day_end, annee_ref, itau_phy, raz_date
 
@@ -62,8 +62,8 @@
 
       CALL put_field("longitude", &
-                     "Longitudes de la grille physique",longitude)
+                     "Longitudes de la grille physique",longitude_deg)
      
       CALL put_field("latitude", &
-                     "Latitudes de la grille physique",latitude)
+                     "Latitudes de la grille physique",latitude_deg)
 
 ! variables
Index: /trunk/LMDZ.VENUS/libf/phyvenus/physiq.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 1544)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 1545)
@@ -58,5 +58,7 @@
       USE infotrac
       use dimphy
-      USE geometry_mod, only: longitude, latitude, cell_area, dx, dy
+      USE geometry_mod,only: longitude, latitude, ! in radians
+     &                       longitude_deg,latitude_deg, ! in degrees
+     &                       cell_area,dx,dy
       USE mod_phys_lmdz_para, only : is_parallel,jj_nb
       USE phys_state_var_mod ! Variables sauvegardees de la physique
@@ -665,5 +667,5 @@
       DO k = 1, klev
       DO i = 1, klon      
-         ilat=(latitude(i)/5.625) + 17.
+         ilat=(latitude_deg(i)/5.625) + 17.
          delta_temp(i,k)=mat_dtemp(INT(ilat),k)
       ENDDO
@@ -832,7 +834,8 @@
       IF (cycle_diurne) THEN
         zdtime=dtime*REAL(radpas) ! pas de temps du rayonnement (s)
-        CALL zenang(zlongi,gmtime,zdtime,latitude,longitude,rmu0,fract)
+        CALL zenang(zlongi,gmtime,zdtime,latitude_deg,longitude_deg,
+     &              rmu0,fract)
       ELSE
-        call mucorr(klon,zlongi,latitude,rmu0,fract)
+        call mucorr(klon,zlongi,latitude_deg,rmu0,fract)
       ENDIF
       
@@ -859,5 +862,5 @@
      I                   debut,lafin,nqmax,
      I                   nlon,nlev,dtime,paprs,
-     I                   latitude,longitude,
+     I                   latitude_deg,longitude_deg,
      O                   tr_seri)
 
@@ -869,6 +872,6 @@
            DO k = 1, klev
            DO i = 1, klon      
-             ilat=(latitude(i)/5.625) + 17.
-!             PRINT*,INT(ilat),latitude(i),mat_dtemp(INT(ilat),k)
+             ilat=(latitude_deg(i)/5.625) + 17.
+!             PRINT*,INT(ilat),latitude_deg(i),mat_dtemp(INT(ilat),k)
              delta_temp(i,k)=mat_dtemp(INT(ilat),k)
            ENDDO
@@ -888,6 +891,6 @@
      I             nqmax,
      I             klon,
-     I             latitude,
-     I             longitude,
+     I             latitude_deg,
+     I             longitude_deg,
      I             nlev,
      I             dtime,
@@ -902,6 +905,6 @@
      I             nqmax,
      I             klon,
-     I             latitude,
-     I             longitude,
+     I             latitude_deg,
+     I             longitude_deg,
      I             nlev,
      I             dtime,
@@ -1032,5 +1035,5 @@
      $            paprs,pplay,ppk,radsol,falbe,
      e            solsw, sollw, sollwdown, fder,
-     e            longitude, latitude, dx, dy,   
+     e            longitude_deg, latitude_deg, dx, dy,   
      e            debut, lafin,
      s            d_t_vdf,d_u_vdf,d_v_vdf,d_ts,
@@ -1508,5 +1511,5 @@
 c A ADAPTER POUR VENUS!!!
 c            CALL lift_noro(klon,klev,dtime,paprs,pplay,
-c     e                   latitude,zmea,zstd,zpic,zgam,zthe,zpic,zval,
+c     e                   latitude_deg,zmea,zstd,zpic,zgam,zthe,zpic,zval,
 c     e                   igwd,idx,itest,
 c     e                   t_seri, u_seri, v_seri,
@@ -1567,5 +1570,6 @@
 c====================================================================
       if (ballons.eq.1) then
-        CALL ballon(30,pdtphys,rjourvrai,gmtime*RDAY,latitude,longitude,
+        CALL ballon(30,pdtphys,rjourvrai,gmtime*RDAY,
+     &              latitude_deg,longitude_deg,
 c    C              t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
      C              t,pplay,u,v,zphi)   ! alt above planet average radius
@@ -1601,5 +1605,5 @@
       CALL aaam_bud (27,klon,klev,rjourvrai,gmtime*RDAY,
      C               ra,rg,romega,
-     C               latitude,longitude,pphis,
+     C               latitude_deg,longitude_deg,pphis,
      C               zustrdr,zustrli,zustrcl,
      C               zvstrdr,zvstrli,zvstrcl,
@@ -1687,6 +1691,6 @@
 c     DO k = 1, klev
 c     DO i = 1, klon
-c       mang(i,k) = RA*cos(latitude(i)*RPI/180.)
-c    .     *(u_seri(i,k)+RA*cos(latitude(i)*RPI/180.)*ROMEGA)
+c       mang(i,k) = RA*cos(latitude(i))
+c    .     *(u_seri(i,k)+RA*cos(latitude(i))*ROMEGA)
 c    .     *cell_area(i)*(paprs(i,k)-paprs(i,k+1))/RG
 c       mangtot=mangtot+mang(i,k)
Index: /trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F	(revision 1544)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F	(revision 1545)
@@ -27,5 +27,5 @@
 c======================================================================
       use dimphy
-      USE geometry_mod, ONLY: latitude
+      USE geometry_mod, ONLY: latitude_deg
       USE phys_state_var_mod, only: heat,cool,radsol,
      .      topsw,toplw,solsw,sollw,sollwdown,lwnet,swnet
@@ -164,11 +164,11 @@
          lat=1
        else
-         if (abs(latitude(j)).le.50.) then
+         if (abs(latitude_deg(j)).le.50.) then
 	   lat=1
-	 elseif (abs(latitude(j)).le.60.) then
+	 elseif (abs(latitude_deg(j)).le.60.) then
 	   lat=2
-	 elseif (abs(latitude(j)).le.70.) then
+	 elseif (abs(latitude_deg(j)).le.70.) then
 	   lat=3
-	 elseif (abs(latitude(j)).le.80.) then
+	 elseif (abs(latitude_deg(j)).le.80.) then
 	   lat=4
 	 else
Index: /trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.NewtonCool
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.NewtonCool	(revision 1544)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.NewtonCool	(revision 1545)
@@ -24,5 +24,5 @@
 c======================================================================
       use dimphy
-      USE geometry_mod, ONLY: latitude
+      USE geometry_mod, ONLY: latitude ! in radians
       USE phys_state_var_mod, only: heat,cool,radsol,
      .      topsw,toplw,solsw,sollw,sollwdown,lwnet,swnet
@@ -98,6 +98,6 @@
 	    ztemp = tempCLee(level)*(1-fact)+tempCLee(level+1)*fact
 	    zdt   = dt_epCLee(level)*(1-fact)+dt_epCLee(level+1)*fact
-c           zt_eq(i,k) = ztemp + zdt*(cos(latitude(i)*RPI/180.)-2./RPI)
-	    zt_eq(i,k) = ztemp + zdt*(cos(latitude(i)*RPI/180.)-RPI/4.)
+c           zt_eq(i,k) = ztemp + zdt*(cos(latitude(i))-2./RPI)
+	    zt_eq(i,k) = ztemp + zdt*(cos(latitude(i))-RPI/4.)
 	    
 	  enddo